#
# spec file for package file (Version 4.03)
#
# Copyright (c) 2004 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  autoconf
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl rpm

Name:         file
License:      Other License(s), see package
Group:        Productivity/File utilities
Autoreqprov:  on
Version:      4.03
Release:      73
Summary:      A tool to determine file types
Source:       ftp://ftp.astron.com/pub/file/file-4.03.tar.bz2
Patch:        file-4.03.dif
Patch1:       file-4.03-misc.dif
Patch2:       file-4.03-exec.dif
Patch3:       file-4.03-autoconf.dif
Patch4:       file-4.03-tex.dif
Patch9:       file-4.03-security.dif
Patch22:      file-4.03-mips.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
With "file" you can obtain information on the file type of a specified
file. File type recognition is controlled by the file /etc/magic, which
contains the classification criteria. This command is used by apsfilter
to permit automatic printing of different file types.



Authors:
--------
    Mark Moraes <moraes@deshaw.com>
    Christos Zoulas <christos@deshaw.com>

%prep
%setup
%patch1 -p0 -b .misc
%patch2 -p0 -b .exec
%patch3 -p0 -b .conf
%patch4 -p0 -b .tex
%patch9 -p0 -b .sec
%patch
%ifarch mips
%patch22 -p0 -s .mips
%endif

%build
rm -f Magdir/*,v Magdir/*~
aclocal
automake
autoconf
CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64 -DHOWMANY=69632 -D_LARGEFILE_SOURCE -D_GNU_SOURCE" \
./configure --prefix=/usr --datadir='${prefix}/share/misc' --mandir=%{_mandir} \
	    -libdir=%{_libdir} --enable-fsect-man5
/bin/sh ./ltconfig  ./ltmain.sh
make pkgdatadir='$(datadir)'

%install
make DESTDIR=$RPM_BUILD_ROOT install-strip pkgdatadir='$(datadir)'
mkdir -p $RPM_BUILD_ROOT/etc
ln -sf ../usr/share/misc/magic $RPM_BUILD_ROOT/etc/magic
#install -s dcore $RPM_BUILD_ROOT/usr/bin/
# Check the binary does not bail out:
${RPM_BUILD_ROOT}/usr/bin/file -m ${RPM_BUILD_ROOT}/etc/magic ${RPM_BUILD_ROOT}/usr/bin/file /lib/* /usr/lib/*

%files
/etc/magic
#/usr/bin/dcore
/usr/bin/file
%{_libdir}/libmagic.la
%{_libdir}/libmagic.a
/usr/include/magic.h
/usr/share/misc/magic
/usr/share/misc/magic.mgc
/usr/share/misc/magic.mime
/usr/share/misc/magic.mime.mgc
%doc %{_mandir}/man1/file.1.gz
%doc %{_mandir}/man3/libmagic.3.gz
%doc %{_mandir}/man5/magic.5.gz

%changelog -n file
* Tue Nov 30 2004 - werner@suse.de
- Fix some buffer overflows (bug #48576)
* Tue Sep 16 2003 - werner@suse.de
- Extend buffer from 64kb upto 68kB to find ReiserFS (bug #30736)
* Wed Jul 02 2003 - werner@suse.de
- Use _libdir
* Tue Jul 01 2003 - werner@suse.de
- Update to file 4.03
* Thu Apr 17 2003 - coolo@suse.de
- use BuildRoot
* Tue Mar 04 2003 - werner@suse.de
- Fix buffer overflow in elf detection
* Tue Dec 17 2002 - olh@suse.de
- use RPM_BUILD_ROOT, not BUILD_ROOT in testsuite
* Mon Nov 11 2002 - ro@suse.de
- fix deprecated multiline string literal (from longopt patch)
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Tue Jul 23 2002 - werner@suse.de
- Add mySQL bytes to magic (bug #16138)
* Fri Jun 07 2002 - olh@suse.de
- don't change the union u in readelf.c:tryelf() on ppc64
* Mon Feb 04 2002 - werner@suse.de
- Fix looking of manual page
* Mon Feb 04 2002 - werner@suse.de
- Add some magics for METAFONT format files
- Add inofficial long options for LSB
* Thu Dec 27 2001 - adrian@suse.de
- fix file output for mips binaries. The old output broke several
  ltconfig scripts in other packages and was wrong anyway.
- recompress tar ball with bz2
* Wed Dec 19 2001 - werner@suse.de
- update to version 3.37
* Sat Jun 30 2001 - bk@suse.de
- update to version 3.33
- don't change the union u in readelf.c:tryelf() on s390x.
- option i: fix one-byte memory underallocation - strcat adds '\0'
* Thu Jun 07 2001 - werner@suse.de
- Autoconf and Elf header: make it work again
* Fri May 04 2001 - werner@suse.de
- Make symlink /etc/magic a relative one
* Tue Jan 16 2001 - werner@suse.de
- Change order to find WAVE and TTF data before G3, apple and
  macintosh data.
- Change string detection of PFM data to bit comparision masking
  out the third bit to make raw G3 work.
* Sun Dec 03 2000 - schwab@suse.de
- Don't match against artificial null byte.
- Fix resource leaks.
* Tue Nov 28 2000 - aj@suse.de
- Add LFS support.
* Tue Nov 14 2000 - werner@suse.de
- Correct version handling of Linux/i386 Kernel setup header
* Mon Nov 13 2000 - werner@suse.de
- Fix handling of Microsoft Access Database in comparision
  with Digifax-G3-File.
* Tue Oct 03 2000 - kukuk@suse.de
- fix inclusion of config.h
- Add group tag
* Thu Sep 28 2000 - werner@suse.de
- Move Magdir changes into misc dif
- Remove exectuable from text scripts
* Fri Sep 15 2000 - werner@suse.de
- Update to version 3.32
* Tue Jun 20 2000 - werner@suse.de
- /usr/lib/magic -> /usr/share/misc/magic
* Thu Feb 03 2000 - schwab@suse.de
- Ignore SHT_DYNSYM sections when deciding whether object is stripped.
* Fri Jan 28 2000 - schwab@suse.de
- Fix int32 vs long problem.
* Thu Jan 27 2000 - schwab@suse.de
- Fix non-ascii literal characters in string
- Specfile cleanup, get rid of Makefile.Linux
- /usr/man -> /usr/share/man
* Thu Nov 25 1999 - schwab@suse.de
- Fix location of magic file.
* Tue Nov 23 1999 - kukuk@suse.de
- Update to version 3.27
- Add patches for SPARC
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Aug 24 1999 - uli@suse.de
- added -fsigned-char to CFLAGS (PPC)
* Wed Nov 04 1998 - ro@suse.de
- disabled dcore (won't build with glibc-2.0)
* Thu Oct 01 1998 - ro@suse.de
- update to 3.26
- hacked dcore.c to build with glibc-2.1
* Fri Oct 10 1997 - florian@suse.de
- add some more entries to magic
* Wed Jun 25 1997 - florian@suse.de
- add additional entries to recognize LaTeX files
* Tue May 27 1997 - florian@suse.de
- add some additional entries from mgetty/vgetty
- add additional entries for CLISP and GNU gettext from Bruno Haible
* Wed Jan 22 1997 - florian@suse.de
- update to version 3.22
* Thu Jan 02 1997 - florian@suse.de
- recognise german umlauts as text: dirty hack, but also call "setlocale"
  for correctly installed systems...
- add "dcore"-program to show some information about core-files
* Thu Jan 02 1997 - florian@suse.de
- update to version 3.21
- mv /etc/magic /usr/lib/magic (/etc/magic is still a symlink to new
  location)
* Thu Jan 02 1997 - florian@suse.de
- added missing entries for G3-fax (from mgetty source)
